Name:           Pixie
Version:        2.2.2
Release:        4%{?dist}
Summary:        3D renderer Renderman compliant

Group:          Applications/Multimedia
License:        LGPLv2+
URL:            http://www.cs.utexas.edu/~okan/Pixie/pixie.htm
Source0:        http://downloads.sourceforge.net/pixie/%{name}-src-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  autoconf, automake, libtool, tcsh

BuildRequires:  bison
BuildRequires:  doxygen
BuildRequires:  flex

BuildRequires:  fltk-devel
BuildRequires:  OpenEXR-devel >= 1.6.0

BuildRequires:  libX11-devel
BuildRequires:  libICE-devel
BuildRequires:  libtiff-devel


%description
Pixie is a RenderMan like photorealistic renderer.
It is being developed in the hope that it will be
useful for graphics research and for people who
can not afford a commercial renderer.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        docs
Summary:        Documentation for %{name}
Group:          Documentation

%description docs
This package contains documentation files for %{name}.


%prep
%setup -q -n %{name}

# Use autotool to prevent to do special tweaks
#csh makeunix

# Fix a logical problem in configure which link to the static version
sed -i.r_static -e 's|--ldstaticflags|--ldflags|' configure



%build
%configure \
  --disable-static \
  --enable-shared \
  --disable-static-fltk \
  --disable-selfcontained \
  --with-x


# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT __doc
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p -c" CPPROG="cp -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

mkdir -p __doc
cp -pr $RPM_BUILD_ROOT%{_datadir}/doc/Pixie/* __doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
# zero-length + wrong-file-end-of-line-encoding tweaks
rm __doc/StaticSite_NotIncludedStatic.html
sed -i 's/\r//'  __doc/css/broswerforms_compact.css

#Rename show
mv $RPM_BUILD_ROOT%{_bindir}/show $RPM_BUILD_ROOT%{_bindir}/Pixie_show


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_mandir}/man1/*.gz
%{_datadir}/Pixie/
%{_libdir}/*.so.*
%{_libdir}/Pixie/

%files devel
%doc DEVNOTES
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%files docs
%defattr(-,root,root,-)
%doc __doc/*


%changelog
* Mon Oct 15 2007 kwizart < kwizart at gmail.com > - 2.2.2-4
- Fix namespace with show (renamed to Pixie_show).

* Mon Oct 15 2007 kwizart < kwizart at gmail.com > - 2.2.2-3
- Rebuild

* Mon Oct  1 2007 kwizart < kwizart at gmail.com > - 2.2.2-2
- Disable prefix in name

* Fri Jul 27 2007 kwizart < kwizart at gmail.com > - 2.2.2-1
- Update to 2.2.2

* Mon Jul 16 2007 kwizart < kwizart at gmail.com > - 2.2.1-2
- Fixed typo with libs
- Fixed timestamp with install -p

* Sat Jul 14 2007 kwizart < kwizart at gmail.com > - 2.2.1-1
- Update to 2.2.1
- Rename to Pixie
- Preserve timestamp at install step
- Improve directory ownership
- Move docs to sub-package
- Move libs to sub-package (multilibs)
- Add a dyn patch to link to shared ftgl

* Mon May 21 2007 kwizart < kwizart at gmail.com > - 2.1.1-1
- Initial spec file for Fedora
